Subject: Re: bug#49104: [PATCH] 28.0.50; Handle remapped commands for M-TAB in `flyspell-prog-mode'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 19 Jun 2021 09:07:18 +0300

> From: Jim Porter <[email-masked]>
> Date: Fri, 18 Jun 2021 16:09:55 -0700
> 
> `flyspell-prog-mode' uses the original M-TAB binding outside of
> comments, which is nice (see bug#18533). However, it doesn't account
> for remapped commands. For example, I remap `completion-at-point' to
> `company-complete' when `company-mode' is active. If I hit M-TAB while
> `company-mode' and `flyspell-prog-mode' are active, I get
> `completion-at-point', which isn't what I want.
> 
> To reproduce this issue, you can do the following:
> 
>   emacs -Q
>   (global-set-key [remap completion-at-point]
>                   (lambda () (interactive) (message "remapped")))
>   M-x flyspell-prog-mode
>   M-TAB ;; Or C-M-i

Isn't it a bug that global/local-key-binding don't return such
remapped bindings, at least optionally?